你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Usages - List

获取所请求订阅的使用情况

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.CognitiveServices/locations/{location}/usages?api-version=2024-10-01

URI 参数

名称 必需 类型 说明
location
path True

string

资源位置。

subscriptionId
path True

string

minLength: 1

目标订阅的 ID。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

响应

名称 类型 说明
200 OK

UsageListResult

还行。

Other Status Codes

ErrorResponse

描述作失败的原因的错误响应。

示例

Get Usages

示例请求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/usages?api-version=2024-10-01

示例响应

{
  "value": [
    {
      "name": {
        "value": "AccountCount",
        "localizedValue": "Cognitive Services total account limit"
      },
      "currentValue": 3,
      "limit": 200,
      "unit": "Count"
    }
  ]
}

定义

名称 说明
ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

MetricName

指标名称。

QuotaUsageStatus

认知服务帐户配额使用情况状态。

UnitType

指标的单位。

Usage

使用情况请求的使用情况数据。

UsageListResult

对列表使用情况请求的响应。

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

MetricName

指标名称。

名称 类型 说明
localizedValue

string

指标的友好名称。

value

string

指标的名称。

QuotaUsageStatus

认知服务帐户配额使用情况状态。

说明
Included
Blocked
InOverage
Unknown

UnitType

指标的单位。

说明
Count
Bytes
Seconds
Percent
CountPerSecond
BytesPerSecond
Milliseconds

Usage

使用情况请求的使用情况数据。

名称 类型 说明
currentValue

number (double)

此指标的当前值。

limit

number (double)

此指标的最大值。

name

MetricName

指标的名称信息。

nextResetTime

string

当前配额的下一次重置时间。

quotaPeriod

string

用于汇总使用情况值的配额期。

status

QuotaUsageStatus

认知服务帐户配额使用情况状态。

unit

UnitType

指标的单位。

UsageListResult

对列表使用情况请求的响应。

名称 类型 说明
nextLink

string

用于获取下一页使用情况的链接。

value

Usage[]

认知服务帐户的使用情况列表。